Bug 1000211 - In zh_CN language env, service nfs start output info not use unified language
In zh_CN language env, service nfs start output info not use unified language
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.4
All Linux
medium Severity high
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 20:46 EDT by Yin.JianHong
Modified: 2017-09-14 08:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-08-22 20:46:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. install RHEL6.4 with Chinese Simplified language set
2. and see the follow section Actual results
3.

Actual results:
[root@dhcp-13-188 ~]# service nfs start
启动 NFS 服务:                                            [确定]
关掉 NFS 配额:                                            [确定]
  `----> translate Error. should be "启动"(starting) not "关掉"(shutting sown)
启动 NFS mountd:                                          [确定]
启动 NFS 守护进程:                                        [确定]
正在启动 RPC idmapd:                                      [确定]
[root@dhcp-13-188 ~]# service nfs stop
关闭 NFS 守护进程:                                        [确定]
关闭 NFS mountd:                                          [确定]
关闭 NFS quotas:                                          [确定]
Shutting down RPC idmapd:                                  [确定]
  `-----> here should use chinese also, this should be nfs-utils problem. not use the same output method
[root@dhcp-13-188 ~]# /etc/init.d/nfs  start
Starting NFS services:                                     [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]
Starting NFS daemon:                                       [  OK  ]
正在启动 RPC idmapd:                                      [确定]
  `----> here should be english also. shuold be nfs-utils, not use the same output method
[root@dhcp-13-188 ~]# /etc/init.d/nfs  stop
Shutting down NFS daemon:                                  [  OK  ]
Shutting down NFS mountd:                                  [  OK  ]
Shutting down NFS quotas:                                  [  OK  ]
Shutting down RPC idmapd:                                  [确定]
                                                    `-->here should use OK as up.
[root@dhcp-13-188 ~]# 



Additional info:
Comment 1 Yin.JianHong 2013-08-22 20:50:41 EDT
[root@dhcp-13-188 ~]# locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
Comment 3 Yin.JianHong 2013-08-23 02:43:10 EDT
in english language env:
[root@intel-s3e3144-02 ~]# LANG=zh_CN.utf8 /etc/init.d/nfs stop
关闭 NFS 守护进程:[确定]
关闭 NFS mountd:[确定]
关闭 NFS quotas:[确定]
[root@intel-s3e3144-02 ~]# LANG=zh_CN.utf8 /etc/init.d/nfs start
启动 NFS 服务: [确定]
关掉 NFS 配额:[确定]
启动 NFS mountd:[确定]
Stopping RPC idmapd: [  OK  ]
Starting RPC idmapd: [  OK  ]    <<<here should be chinese as other lines
启动 NFS 守护进程:[确定]
Comment 4 Yin.JianHong 2013-08-23 02:55:29 EDT
the package version: (RHEL-6.4)
nfs-utils-1.2.3-36.el6.x86_64
nfs-utils-1.2.3-38.el6.x86_64
Comment 5 RHEL Product and Program Management 2013-10-13 22:35:53 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Steve Whitehouse 2015-12-11 10:24:31 EST
I'm not sure that I understand where the problem is here... is it that there is an incorrect/missing translation in one of the locale files, or is it a missing macro in the initscript?

It doesn't sound like this should be too tricky to fix at all, if we can track down the source of the problem.

Note You need to log in before you can comment on or make changes to this bug.